This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 907397 - Patch "e1000: no need auto-negotiation if link was down" may break e1000 guest
Patch "e1000: no need auto-negotiation if link was down" may break e1000 guest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: jason wang
Virtualization Bugs
: Regression, ZStream
: 908077 (view as bug list)
Depends On: 890288 913425
Blocks: 908396 908645
  Show dependency treegraph
 
Reported: 2013-02-04 04:45 EST by jason wang
Modified: 2013-11-21 01:33 EST (History)
18 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.356.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 01:33:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 2 juzhang 2013-02-04 04:57:47 EST
Can reproduce this issue by using qemu-kvm-355.

Steps:
1. boot guest with e1000(netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,id=e100-1,mac=2C:41:38:B6:40:44,bus=pci.0,addr=0x6,bootindex=2 )

#/usr/libexec/qemu-kvm -M rhel6.4.0 -cpu SandyBridge,+sep -enable-kvm -m 2048 -smp 4,sockets=2,cores=2,threads=1 -no-kvm-pit-reinjection -usb -device usb-tablet,id=input0 -name test-sluo -uuid bef435d2-6d6d-4faf-9936-bc02ac89082a -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,
server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2 -drive file=/home/RHEL6.4-Snapshot-3.0_Server_x86_64.raw,if=none,id=system-virtio-disk,format=raw,cache=none,aio=native,werror=stop,rerror
 =stop,serial="QEMU-DISK1" -device virtio-blk-pci,bus=pci.0,addr=0x4,scsi=off,drive=system-virtio-disk,id=system-disk,bootindex=1 -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x5 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,id=e100-1,mac=2C:41:38:B6:40:44,bus=pci.0,addr=0x6,bootindex=2 -k en-us -boot menu=on -spice port=5931,disable-ticketing -vga qxl -monitor stdio

2. In guest
#reboot

Result
Guest lose ip.


Additional infos:
1. This issue can not be reproduced by using qemu-kvm-0.12.1.2-2.344.el6.x86_64. This issue should be introduced from bz890288.

2. This issue can not be reproduced if KVM QE uses "system_reset" instead of "reboot" in guest.
2.1 In guest#reboot  Reproduced ratio : 3/3  
2.2 (qemu)system_reset Reproduced ratio : 0/3
Comment 3 juzhang 2013-02-04 05:02:03 EST
> 2. This issue can not be reproduced if KVM QE uses "system_reset" instead of
> "reboot" in guest.
> 2.1 In guest#reboot  Reproduced ratio : 3/3  
> 2.2 (qemu)system_reset Reproduced ratio : 0/3

Hi Jason/Mst

Would you please have a look this comment? What's the difference between "issue reboot command in guest" and "issue system_reset"? Why the "issue reboot command in guest" can reproduce this issue 100%, however, "issue system_reset" can not? Thanks.

Best Regards & Thanks,
Junyi
Comment 4 Michael S. Tsirkin 2013-02-04 05:24:27 EST
I am guessing you need a longer time between system reset commands.
reboot from guest adds delay since guest needs to boot.
Comment 5 juzhang 2013-02-04 06:17:15 EST
(In reply to comment #4)
> I am guessing you need a longer time between system reset commands.
> reboot from guest adds delay since guest needs to boot.

Ok, KVM QE will have a try this method as well.
Comment 6 juzhang 2013-02-04 21:17:21 EST
(In reply to comment #4)
> I am guessing you need a longer time between system reset commands.
> reboot from guest adds delay since guest needs to boot.

This issue can be reproduced as well if KVM QE repeatedly resets by using system_rest guest with random timing by script.
Comment 19 jason wang 2013-05-27 03:58:32 EDT
*** Bug 908077 has been marked as a duplicate of this bug. ***
Comment 21 Shaolong Hu 2013-08-01 05:00:52 EDT
Test with qemu-kvm-0.12.1.2-2.381.el6.x86_64:

With steps in comment 2, pass.

Also do extra test during verifiying:

Bug 907716 - use set_link to change rtl8139 and e1000 network card's status but fail to make effectively after reboot guest

Test result is in:
https://bugzilla.redhat.com/show_bug.cgi?id=907716#c26

All pass, based on above, i am willing to test this one verified.
Comment 22 errata-xmlrpc 2013-11-21 01:33:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.